## org.apache.log4j.xml
Class Log4jEntityResolver

    java.lang.Object
      org.apache.log4j.xml.Log4jEntityResolver

All Implemented Interfaces:
  org.xml.sax.EntityResolver

    public class Log4jEntityResolver

extends Object
implements org.xml.sax.EntityResolver

An `EntityResolver` specifically designed to return `log4j.dtd` which is embedded within the log4j jar file.

Author:
  Paul Austin

Constructor Summary
`Log4jEntityResolver()`

Method Summary
`org.xml.sax.InputSource` `resolveEntity(String publicId, String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jEntityResolver

    public Log4jEntityResolver()

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(String publicId,
                                                 String systemId)

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.